Slackware Linux 14.2 / 15.0 / current kernel-firmware Vulnerability (SSA:2023-205-01)

medium Nessus Plugin ID 178773

Synopsis

The remote Slackware Linux host is missing a security update to kernel-firmware.

Description

The version of kernel-firmware installed on the remote host is prior to 20230724_59fbffa. It is, therefore, affected by a vulnerability as referenced in the SSA:2023-205-01 advisory.

- An issue in Zen 2 CPUs, under specific microarchitectural circumstances, may allow an attacker to potentially access sensitive information. (CVE-2023-20593)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Upgrade the affected kernel-firmware package.

See Also

http://www.nessus.org/u?e702b783

Plugin Details

Severity: Medium

ID: 178773

File Name: Slackware_SSA_2023-205-01.nasl

Version: 1.2

Type: local

Published: 7/25/2023

Updated: 8/2/2023

Supported Sensors: Nessus

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: Medium

Base Score: 4.6

Temporal Score: 3.6

Vector: CVSS2#AV:L/AC:L/Au:S/C:C/I:N/A:N

CVSS Score Source: CVE-2023-20593

CVSS v3

Risk Factor: Medium

Base Score: 5.5

Temporal Score: 5

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N

Temporal Vector: CVSS:3.0/E:P/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:slackware:slackware_linux:kernel-firmware, cpe:/o:slackware:slackware_linux, cpe:/o:slackware:slackware_linux:14.2, cpe:/o:slackware:slackware_linux:15.0

Required KB Items: Host/local_checks_enabled, Host/Slackware/release, Host/Slackware/packages

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 7/24/2023

Vulnerability Publication Date: 7/24/2023

Reference Information

CVE: CVE-2023-20593